{ lib, stdenv, fetchFromGitHub, pkg-config, coin-utils, zlib, osi }:

stdenv.mkDerivation rec {
  version = "1.17.9-latest";
  pname = "clp";
  src = fetchFromGitHub {
    owner = "coin-or";
    repo = "Clp";
    rev = "7a9efeac360e0dc1c850f5a191d9cf9aeb3b9487";
    hash = "sha256-YG+lDmZFI/5kVfBM/5iOusEwh8WjotYNI0UHVbvBC04=";
  };

  patches = [ ./clp-extern-c.patch ];

  nativeBuildInputs = [ pkg-config ];

  propagatedBuildInputs = [ zlib coin-utils osi ];

  doCheck = true;

  meta = with lib; {
    license = licenses.epl20;
    homepage = "https://github.com/coin-or/Clp";
    description = "An open-source linear programming solver written in C++";
    platforms = platforms.darwin ++ platforms.linux;
    maintainers = [ maintainers.vbgl ];
  };
}
